Bug 517434 - user interface poorly laid out, unresponsive to the usual keyboard movement
Summary: user interface poorly laid out, unresponsive to the usual keyboard movement
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 22:00 UTC by J. Randall Owens
Modified: 2010-12-05 06:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:36:56 UTC


Attachments (Terms of Use)

Description J. Randall Owens 2009-08-13 22:00:35 UTC
Description of problem:
I've noticed this with F11 NM and IPv4 addresses, but the IPv6 with the Rawhide image makes it more obvious.  The fields for address entry when creating (and presumably editing, but that's broken right now) IPv6 addresses are very poorly sized.  The address part could be up to, let's see, 39 characters, but the prefix will be three at most, usually two.  But the fields for the two are the same width, and you tend to run out of room in the address part.

Hmm, unless you're supposed to be entering the entire prefix, even though it's easily obtained from the network address and prefix length?  Is there a use case that requires the address to not be in the prefix?

Also, it's awkward to get around between fields in that window.  Right arrow and tab key don't seem to take me from the address field to the prefix, like I would expect.  The only way I've found to select other fields (and this was also with the F11 IPv4, with the address/netmask/gateway) is by clicking on it with the mouse.  Although, the next field over does seem to be highlighted.  But then, when you type anything, this other little box pops up out of nowhere, and you're typing there instead.  I haven't figured out what that box is.  But it doesn't seem to add its contents to the field.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.995-1.git20090804.fc12.x86_64

How reproducible:
always & easily

Steps to Reproduce:
1. right-click NM applet and select "Edit Connections..."
2. edit (or, at the moment, add) a connection
3. look at the IPv4 or IPv6 tabs, and try to get around in them
  
Actual results:
bad field layout, can't tab from one field to another when adding/editing addresses

Expected results:
proportionate field sizes, tabbing between fields

Additional info:
A little experimenting showed that the IPv6 prefix field doesn't allow colons, so presumably it should be just the prefix length (and might be relabeled accordingly).

Comment 1 J. Randall Owens 2009-08-13 22:05:21 UTC
Forgot what else I meant to put in "additional info": When you stretch the window horizontally, most of those field sizes become not so bad, although the IPv6 prefix becomes even more way-too-wide if it's just a length.  At the initial default width, though, pretty nearly nothing fits in its field, unless you have an all-single-digits IP address or something like that.

Comment 2 Bug Zapper 2009-11-16 11:26:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 10:30:42 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-05 06:36:56 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.